﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.OleDb;
using System.IO;
using System.Data;

using Spire.DataExport;
using Spire.DataExport.XLS;
using Spire.DataExport.Common;
using Spire.DataExport.EventArgs;

namespace LineBreaksInExport
{
    class Program
    {
        static void Main(string[] args)
        {
            string strConnstring = "Provider=Microsoft.ACE.OLEDB.12.0;"
            + "Data Source=" + Directory.GetCurrentDirectory() + @"..\..\..\Test.accdb;Persist Security Info=False;";

            using (OleDbConnection conn = new OleDbConnection(strConnstring))
            {
                conn.Open();
                string sql = "select * from test";
                //OleDbCommand cmd = new OleDbCommand(sql, conn);
                OleDbDataAdapter oda = new OleDbDataAdapter(sql, conn);
                DataTable dataTable = new DataTable();
                oda.Fill(dataTable);

                CellExport cellExport = new CellExport();

                WorkSheet worksheet = new WorkSheet();
                worksheet.AutoFitColWidth = true;
                worksheet.Options.TitlesFormat.Font.Bold = true;
                worksheet.Options.TitlesFormat.Font.Color = CellColor.DarkRed;

                for (ushort i = 2; i < dataTable.Rows.Count;i++ )
                {
                    string URLName = Console.ReadLine().ToString();
                    string url = Console.ReadLine().ToString();
                    worksheet.AddHyperLink(3, i, URLName, url);
                }

                //After Exporting open the XLS file.
                cellExport.ActionAfterExport = ActionType.OpenView;
                cellExport.AutoFitColWidth = true;

                //set filename
                cellExport.FileName = @"..\..\Test.xls";

                worksheet.DataSource = ExportSource.DataTable;
                worksheet.DataTable = dataTable;
                cellExport.Sheets.Add(worksheet);

                cellExport.SaveToFile(@"..\..\Test.xls");
            }
        }
    
    }
}
